> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Business Customer

> Update a customer business in Alloy and Finxact.



## OpenAPI

````yaml PATCH /partner/clover/customers/business/{customer_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/customers/business/{customer_id}:
    patch:
      tags:
        - Clover
      summary: Update Business Customer
      description: Update a customer business in Alloy and Finxact.
      operationId: >-
        update_business_customer_partner_clover_customers_business__customer_id__patch
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Customer Id
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchBusinessRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Update Business Customer Partner Clover Customers
                  Business  Customer Id  Patch
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PatchBusinessRequest:
      properties:
        business:
          $ref: '#/components/schemas/PatchBusinessData'
      type: object
      required:
        - business
      title: PatchBusinessRequest
      description: Schema to deserialize the business patch request.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PatchBusinessData:
      properties:
        business_name:
          anyOf:
            - type: string
              maxLength: 50
            - type: 'null'
          title: Business Name
          description: Legal business name.
        dba:
          anyOf:
            - type: string
              maxLength: 50
            - type: 'null'
          title: Dba
          description: Doing Business As (DBA) name.
        naics_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Naics Code
          description: NAICS industry code.
        organization_type:
          anyOf:
            - $ref: '#/components/schemas/OrganizationTypeEnum'
            - type: 'null'
          description: Type of business organization.
        business_description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Business Description
          description: Description of the business.
        formation_state:
          anyOf:
            - type: string
            - type: 'null'
          title: Formation State
          description: State where the business was formed.
        formation_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Formation Date
          description: Date when the business was formed.
        ein:
          anyOf:
            - type: string
            - type: 'null'
          title: Ein
          description: Employer Identification Number.
        business_address:
          anyOf:
            - $ref: '#/components/schemas/CustomerAddress'
            - type: 'null'
          description: Primary business address.
        mailing_address:
          anyOf:
            - $ref: '#/components/schemas/CustomerAddress'
            - type: 'null'
          description: Mailing address.
        phone:
          anyOf:
            - type: integer
            - type: 'null'
          title: Phone
          description: Business phone number.
        email:
          anyOf:
            - type: string
              maxLength: 50
            - type: 'null'
          title: Email
          description: Business email address.
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
          description: Business website URL.
        backup_withholding:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Backup Withholding
          description: Indicates if backup withholding applies.
        is_public:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Public
          description: Indicates if the company is publicly traded.
        government_affiliated:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Government Affiliated
          description: Indicates if the business is government affiliated.
        affiliated_entities:
          anyOf:
            - type: string
            - type: 'null'
          title: Affiliated Entities
          description: Indicates if there are affiliated entities.
        operations_abroad:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Operations Abroad
          description: Indicates if the business operates internationally.
        types_of_customers:
          anyOf:
            - $ref: '#/components/schemas/TypesOfCustomersEnum'
            - type: 'null'
          description: Types of customers served.
        international_customers_served:
          anyOf:
            - type: boolean
            - type: 'null'
          title: International Customers Served
          description: Indicates if international customers are served.
      type: object
      title: PatchBusinessData
      description: Represent the optional fields for a business update.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OrganizationTypeEnum:
      type: string
      enum:
        - corporation
        - partnership
        - llc
        - llp
        - non-profit
        - custodial
        - financial institution
        - public funds
        - trust
      title: OrganizationTypeEnum
      description: Enum for business organization types.
    CustomerAddress:
      properties:
        street_1:
          type: string
          title: Street 1
          description: Street address line 1.
        street_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Street 2
          description: Street address line 2.
        city:
          type: string
          title: City
          description: City name.
        state:
          type: string
          title: State
          description: State or region.
        zip_code:
          type: string
          title: Zip Code
          description: ZIP or postal code.
        country:
          type: string
          title: Country
          description: Country as specified using ISO 3166-1 alpha-2
      type: object
      required:
        - street_1
        - city
        - state
        - zip_code
        - country
      title: CustomerAddress
      description: Represent a Customer Address.
    TypesOfCustomersEnum:
      type: string
      enum:
        - retail
        - institutional
      title: TypesOfCustomersEnum
      description: Enum for types of customers served.

````